-- migrating from versionCode 42 to 43

-- Model --

alter table flows
  add column logging integer
;;
update flows
   set logging = 1
;;

alter table cleanups
  add column deleted integer
;;

-- Triggers --

drop trigger before_delete_flows
;;

create trigger before_delete_flows
before delete on flows
begin
  insert into cleanups ( flow_id, flow_version, flow_data, deleted )
  select _id, version, data, 1
    from flows
   where _id = old._id
  ;
end
;;
